LINUX.ORG.RU

Вышел Slackware Linux 13.1

 


0

0

Да, время релиза настало, спустя несколько месяцев разработки Патрик Фолькердинг представил версию 13.1

В числе новшеств:

  • Ядро 2.6.33.4
  • Glibc 2.11.1
  • GCC 4.4.4 как компилятор по умолчанию
  • Perl 5.10.1, Python 2.6.4, Ruby 1.9.1-p378, Subversion 1.6.11, git-1.7.1, mercurial-1.5.2
  • KDE SC 4.4.3
  • Обновлены также и Gtk+ приложения: Pidgin-2.7.0, gimp-2.6.8, gkrellm-2.3.4, gxine-0.5.903, xchat-2.8.6, xsane-0.996, pan-0.133.
  • Xfce 4.6.1
  • Добавлена поддержка PolicyKit и ConsoleKit
  • в extra/ обновлена утилита slacktrack для удобства сборки собственных пакетов

Заказать диск Выбрать зеркало и скачать

>>> официальный анонс

★★★★★

Проверено: mono ()

Ответ на: комментарий от Sith

увы не застал сию эпоху.
(точнее ставил 95'ую с дискет, но не ставил ничего gnu/linux с дискет)
поэтому вопрос - как ощущения от этой процедуры (проблематично, али нет)?

lawliet ()
Ответ на: комментарий от Quasar

> И обоснуй, почему в неванильном софте _всегда_ быдлопатчи (ты именно так и сказал, что все патчи к ванильному софту являются быдлопатчами).

потому что разработчик софта всегда лучше знает, что там быть должно и чего там быть не должно, чем мейнтейнер дистрибутива. и в результате получаются такие фейлы, как например с предсказуемыми ключами openssl.

Komintern ★★★★★ ()
Ответ на: Cрач от Viglim

>Срачь must go on. Интересно, будет ли переплюнут арч?

Не будет.

Мужик-2 в этом не заинтересован.

ngsupb ()
Ответ на: комментарий от KevinDetry

Патрик оставил 4.4.4 из-за того, что были причины.

4.5 ещё нестабильно, отдыхай.

anonymous ()
Ответ на: комментарий от anonymous

anonymous> Что же это Вам приходиться делать, что нельзя сделать на Slackware, при этом не прилагая много усилий.

Например, я мигрировал на нестабильную версию Debian одним лёгким движением, и легко и просто обновляю с вменяемым сохранением системы зависимостей. Ну и очень много софта так легко и просто обновляется. В слаке это более трудоёмко.

Quasar ★★★★★ ()

прочитал впервый раз как :"...Патрик Фолькердинг поставил версию 13.1"

zibert ★★★ ()
Ответ на: комментарий от anonymous

anonymous> Как минимум, оригинальная документация, и полное соответствие тому, что описывает (создаёт) разработчик

Ну по сравнению с тем же арчем это действительно большой плюс. Документация арча не соответствует самому арчу - проверено лично мной.

А вот в случае с дебианом - вроде соответствует.

Quasar ★★★★★ ()

Вышел Slackware Linux 13.1

Слака просто удобна некоторым людям. Мне, например. Спасибо Патрегу! :)

karagi ()
Ответ на: комментарий от KevinDetry

Конечно. Как показывает практика gcc с нулем на конце для продакшена не пригодны по тем или иным причинам.

Reset ★★★★★ ()
Ответ на: комментарий от Reset

> в состав gcc входит как минимум libstdc++
И что? В состав моего gcc он не входит?

а еще некоторые используют систему для работы

Да ну ты что, серьёзно что ли? А мужики-то и не знали…

KevinDetry ()
Ответ на: комментарий от Komintern

Komintern> потому что разработчик софта всегда лучше знает, что там быть должно и чего там быть не должно, чем мейнтейнер дистрибутива.

Да? А если это патч безопасности? Или патч, реализующий поддержку нового формата? А если патч ещё не успел в апстрим войти? А если патч, исправляющий серьёзную ошибку? Мейнтрейнер должен следить за тем, чтобы сборка была правильной, соответствующей требованиям дистрибутива, а не ванильной.

Quasar ★★★★★ ()
Ответ на: комментарий от anonymous

>где же наша Федора 13? Уже 25 число однако!

Historically, Test and General Availability releases happen at 10:00am Eastern US Time, which is either 1500UTC or 1400UTC depending on daylight savings in the United States.

russian remix наверное в то же время появится

anonymous ()
Ответ на: комментарий от KevinDetry

Скандалы, интриги, расследования!
Исповедь мейнтейнеров Арча: «В глюках дистрибутива виноваты разработчики GCC»

yirk ★★★ ()
Ответ на: комментарий от yirk

Исповедь мейнтейнеров Арча: «В глюках дистрибутива виноваты разработчики GCC»

Ололо, петросянины так и не научились шутить, только метанировать.
Если глючит gcc, то причём тут арч? Кто вообще мешает поставить предыдущую версию?

И вообще, приведите мне хоть кто-нибудь пример, где gcc 4.5 будет глючить в отличие от gcc 4.4.

KevinDetry ()

[quote] Perl 5.10.1, Python 2.6.4, Ruby 1.9.1-p378, Subversion 1.6.11, git-1.7.1, mercurial-1.5.2 [/quote]

[b]Python 2.6.5[/b] is a maintenance release for Python 2.6.4, fixing dozens of issues in the core, builtin modules, libraries, and documentation. Python 2.6.5 final was released on March 19, 2010.

Но Патрик не в курсе? А как же стабильность, которая так ценится?

anonymous ()

Слава Патрику! Возрадуемся же и качнем!

dm1024 ★★★ ()
Ответ на: комментарий от wlan

Так есть же AUR, там некоторые пакеты из сырсов собираются. И, не поверишь, УМВР!

KevinDetry ()
Ответ на: комментарий от KevinDetry

>Если глючит gcc, то причём тут арч?
Если вам на машину поставят стеклянные колеса, который тут же разобьются, виноваты разработчики стекла, которые сделали его таким хрупким. А не конструкторы, они сами жертвы обстоятельств.

yirk ★★★ ()
Ответ на: комментарий от KevinDetry

Этим пионеры арчеё*ы и отличаются от патрика, тащат в систему чо не попадя, фапая на большие циферки в версиях

wlan ★★ ()

Патрег конечна бох, но какой-то эстонзкий бох - пакеты-то - старьё!
Поправьте меня, если я ошибусь, что уже должно быть в реальном сорс-бэйзд дистре:
ведро - 2.6.34
Глибц - 2.12
гцц - 4.5 (на подходе уже 4.6)
Перл - 5.12 (уже месяц как вышел)

matumba ★★★★★ ()
Ответ на: комментарий от Reset

4.5.0 — последний стабильный релиз gcc. Если разрабы gcc не назвали его тестовой версией, то почему надо включать старую версию? И да,

Кто мешает поставить предыдущую версию?

И вообще, приведите мне хоть кто-нибудь пример, где gcc 4.5 будет глючить в отличие от gcc 4.4.

KevinDetry ()

Целевая аудитория слаки — пионэры-мазохисты.

sdio ★★★★★ ()

хых, бестолку, ни одна версия этого дистра ниразу так и не поставилась у меня.

eR ★★★★★ ()
Ответ на: комментарий от matumba

>гцц - 4.5 (на подходе уже 4.6)

Даа, 4.5 только вышел, а уже 4.6 на подходе...

Перл - 5.12 (уже месяц как вышел)


Перед тем, как обновлять Perl, нужно проверить, что старые модули с ним корректно работают. Подсказка: некоторые не работают.

Это всё безотносительно Slackware, бездумно на циферки смотреть - очень поверхностный подход.

JackYF ★★★★ ()
Ответ на: комментарий от KevinDetry

поэтому арч и считается самым глючным дистрибутивом, ибо верят разработчикам на слово и тащат всё что не попадя в дистрибутив

Reset ★★★★★ ()
Ответ на: комментарий от Bioreactor

---Правда ли, что Русские физики до сих пор используют slackware?---

правда.

anonymous ()
Ответ на: комментарий от Reset

Если разработчики пакетов идиоты и пишут глюкалово, называя его стабильным релизом, то почему виноваты мейнтейнеры арча? Они обеспечивают меня последними версиями софта. Я же могу добавить пакет в исключения и не обновлять.

KevinDetry ()
Ответ на: комментарий от KevinDetry

>Работает же и не падает!

Надо же, а у меня три раза упал. И вообще, вопрос был «чем хуже?» - вот тебе ответ. Не нравится?

Знаешь, а в багзилле KDE тоже очень много багов.


Именно поэтому релизы KDE, версии которых заканчиваются на .0, тоже не следует, по-хорошему, пихать в релиз.

JackYF ★★★★ ()
Ответ на: комментарий от KevinDetry

> pacman -Si gcc | grep Версия

Версия : 4.5.0-2


Пацман рулит! :) А чего они Перл никак не освоят? Уже 5.12 на дворе... :(

matumba ★★★★★ ()

тред не читал @ мимо пробегал

Патрегбох, сегодня надо не забыть обновиться

anonymous ()
Ответ на: комментарий от A-234

так уж и сливают, может акромя слаки настраивать ничего больше не умеем, везде в основе Linux, а нука вспомним какие компании больше всего это ядро правят, а то получается RedHat прям оплеваный лежит.

grigoreo ()
Ответ на: комментарий от KevinDetry

>Если разработчики пакетов идиоты и пишут глюкалово, называя его стабильным релизом

Это резонный вопрос (только не пакетов, а софта), но это не отменяет того, что перед включением в релиз софт надо бы потестировать, в случае gcc - да хотя бы пересобрать ним основную архитектуру, и только тогда принимать решения о включении.

JackYF ★★★★ ()
Ответ на: комментарий от JackYF

> Надо же, а у меня три раза упал
Это у тебя дистр такой хороший.

И вообще, вопрос был «чем хуже?» - вот тебе ответ. Не нравится?

Есть случаи, когда количество преимуществ перекрывает количество недостатков. Но нет, мы будем пользоваться старой версией, насрав на плюшки новой.

Именно поэтому релизы KDE, версии которых заканчиваются на .0, тоже не следует, по-хорошему, пихать в релиз

А вот в моём арче 4.4 появился сразу после релиза. И отлично всё было, ну честное слово. Зато я сразу получил новую версию со всеми её преимуществами.

KevinDetry ()
Ответ на: комментарий от JackYF

> Перед тем, как обновлять Perl, нужно проверить, что старые модули с ним корректно работают.

Разве не этим занимаются разрабы Перл-core? Если они вносят breaking changes (коих я уже лет 100 не помню), то оповещают об этом сообщество. А вообще, Перл именно этим и хорош - СОВМЕСТИМОСТЬЮ. Так чего там тестить, если ничего не ломали?
И потом, почему бы не предоставить бинари для 5.12 и 5.10 ОДНОВРЕМЕННО? Если найдём глюки в 5.12 - откатимся на 10, в чем проблема-то?

бездумно на циферки смотреть - очень поверхностный подход.


Расскажите это тем, кто заботливо инкрементирует их в соотв. со схемой X.Y.Z; Если разрабы - не ламеры, на публику вообще не попадут их багорелизы! А если версия Y увеличилась, значит всё, пора обновляться - увеличился функционал и он протестирован.

matumba ★★★★★ ()
Ответ на: комментарий от KevinDetry

а если от арча никакой пользы в плане улучшения софта, то нахрена тогда арч? сляпать минимум системы из кусков, обозвать это философией и скармливать лошапедам кевинам и его сотоварищам.

gutaper ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.